View Issue Details

IDProjectCategoryView StatusLast Update
0001236unrealircdpublic2005-02-03 20:10
Reportergen_Assigned Tosyzop 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Platformx86OSWindows XP ProOS Version
Product Version3.2-beta17 
Target VersionFixed in Version3.2.3 
Summary0001236: nodnscache / resolver TTL bug
DescriptionDuring 1 or 2 days, all links which have the nodnscache option can be linked. After one more day, I'm unable to link to any server because they have dynamics IPs. These servers have all the nodnscache option. I looked IP shown by the ircd when I did /raw close, they were different than the current dns lookup. So I think there's a bug : UnrealIRCd keeps an ip <=> hostname cache even if nodnscache is present in the link block, but it seems don't keep a cache while 1 or 2 days following the IRCd boot.

I have a link block to `aub.ath.cx' :
Before this afternoon, each time I did /connect aub* :
*** Resolving hostname 'aub.ath.cx'...
*** Notice -- Connecting to aub.ath.cx[aub.ath.cx].

Since some hours and always currentely :
(22:16:55)
*** Connecting to aub.ath.cx[aub.ath.cx].
Do : /raw close
aub.ath.cx[@213.41.190.212.0] Closed. Status = -6
1: Connections Closed

IRCd was connecting to: 213.41.190.212
at this time, nslookup on aub.ath.cx return 213.41.184.4 .
IRCd doesn't more resolve host of servers I want to connect.
I tried with some others servers were present in my configuration : IRCd took old IP of hostnames.
TagsNo tags attached.
3rd party modules

Activities

syzop

2003-09-06 21:01

administrator   ~0003612

Last edited: 2003-09-06 21:03

You are correct in saying that it does still cache it somehow (in DNS cache, instead of in both DNS cache and link block 'cache'), but... this shouldn't be a problem for dyndns.org/ath.cx which all have a TTL (time to live) of 1 minute which is in practice 5-10 minutes.
Could you do a "/quote dns l" (as ircop) to show all cached dns entries and see if it is listed there (either as ip or as hostname)?

edited on: 09-06-03 21:03

gen_

2003-09-06 21:21

reporter   ~0003613

"/quote dns l" effectued:
*** Notice -- Genius did a DNS cache list
Ex 45450 ttl 86400 host voltaire-101-1-212.net1.nerim.net(213.41.190.212)
voltaire-101-1-212.net1.nerim.net = aub.ath.cx (CN)
[...]

and there is the old IP of aub.ath.cx .. if I have understood, ttl = 86400 secs, then 1 day ?

syzop

2003-09-06 21:25

administrator   ~0003614

Last edited: 2003-09-06 21:25

Yeah I think I've spotted this "aliasing" bug earlier.. it somehow likes to combine those 2 things together (the .ath.cx and the real host) and then uses the TTL of the real host.. == bad/bug :/.

edited on: 09-06-03 21:25

syzop

2003-09-08 16:08

administrator   ~0003627

This might take some time to fix. Also I'm marking this bug private.

syzop

2005-02-03 20:09

administrator   ~0009015

I think this got fixed in recent CVS. Or at least a stupid aliasing (CNAME) bug got fixed, which would affect caching.

Issue History

Date Modified Username Field Change
2003-09-06 20:22 gen_ New Issue
2003-09-06 21:01 syzop Note Added: 0003612
2003-09-06 21:02 syzop Note Edited: 0003612
2003-09-06 21:03 syzop Note Edited: 0003612
2003-09-06 21:21 gen_ Note Added: 0003613
2003-09-06 21:25 syzop Note Added: 0003614
2003-09-06 21:25 syzop Note Edited: 0003614
2003-09-06 21:27 syzop Status new => confirmed
2003-09-06 21:27 syzop Summary link::options::nodnscache bug => nodnscache / resolver TTL bug
2003-09-08 16:08 syzop Note Added: 0003627
2003-09-08 16:08 syzop View Status public => private
2005-02-03 20:09 syzop Status confirmed => resolved
2005-02-03 20:09 syzop Resolution open => fixed
2005-02-03 20:09 syzop Assigned To => syzop
2005-02-03 20:09 syzop Note Added: 0009015
2005-02-03 20:09 syzop Fixed in Version => 3.2.3
2005-02-03 20:10 syzop View Status private => public